| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/bitarray.h File Reference

A one-dimensional array of bits, similar to STL bitset. More...

`#include "csextern.h"`
`#include "allocator.h"`
`#include "comparator.h"`
`#include "hash.h"`

Go to the source code of this file.

## Classes
class | csBitArray
| A one-dimensional array of bits, similar to STL bitset. More...
class | csBitArrayTweakable< InlinedBits, Allocator >
| A one-dimensional array of bits, similar to STL bitset. More...
class | csBitArrayTweakable< InlinedBits, Allocator >::BitProxy
class | csComparator< csBitArray, csBitArray >
| csComparator<> specialization for csBitArray to allow its use as e.g. More...
class | csComparatorBitArray< BitArray >
| Base comparator for bit arrays. More...
class | csHashComputer< csBitArray >
| csHashComputer<> specialization for csBitArray to allow its use as hash key type. More...
class | csHashComputerBitArray< BitArray >
| Base hash computer for bit arrays. More...
## Typedefs
typedef unsigned long | csBitArrayStorageType
| Storage type utilized by csBitArray to store the bits.
## Variables
const size_t | csBitArrayDefaultInlineBits

## Detailed Description

A one-dimensional array of bits, similar to STL bitset.

Definition in file bitarray.h.

## Typedef Documentation

typedef unsigned long csBitArrayStorageType

Storage type utilized by csBitArray to store the bits.

Definition at line 45 of file bitarray.h.